.ibdp-wrapper p {
  font-size: 14px;
  line-height: 160%; /* 22.4px */
}

.ibdp-wrapper h2 {
  font-weight: 500;
  font-size: 32px;
}

/* Video Section */
.video-wrapper {
  background-color: #fff6e7;
  padding: 62px 0;
  margin: 80px 0;
}

.video-subwrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.video-section {
  width: 50%;
  height: 410px;
  border-radius: 20px;
  overflow: hidden;
  position: relative;
}

.video-section video {
  width: 100%;
  height: 100%;
}

.video-thumbnail-wrapper {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  left: 0;
  top: 0;
}

.video-thumbnail-wrapper .icse-thumbnail {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.video-description-wrapper {
  width: 45%;
}

.video-description-wrapper a {
  text-decoration: none;
  color: #03489f;
}

.video-description-wrapper h2 {
  padding-bottom: 16px;
}

.video-arrow-wrapper {
  width: 44px;
  height: 44px;
  display: grid;
  place-items: center;
  background-color: white;
  border-radius: 100%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  cursor: pointer;
}

.video-arrow-wrapper img {
  width: 12px;
}

/* Feature Card Section */
.features-card-wrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin-top: 40px;
  gap: 32px;
}

.feature-card {
  border-radius: 20px;
  border-bottom: 1px solid #0066b0;
  background: #e6f0f8;
  padding: 30px;
  display: flex;
  gap: 20px;
  flex-direction: column;
  
  height: 170px;
}

.feature-card-title {
  width: 860px;
}

.feature-card-icon {
  width: 34px;
  height: 34px;
}

/* <!-- Green Section --> */
.green-section-wrapper {
  padding: 50px 70px;
  border-radius: 20px;
  background: #def4e2;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 80px;
}

.green-section-wrapper h2 {
  width: 50%;
  color: #00243d;
}

.int-mindedness {
  width: 40%;
  height: auto;
  object-fit: cover;
}

/* Curriculum Section */
.curriculum-wrapper {
  padding: 80px 0;
}

.curriculum-subwrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 30px 0;
}

.left-wrapper-container {
  width: 45%;
}

.curriculum-subwrapper .left-wrapper {
  width: 100%;
  background-color: #fff6e7;
  border-radius: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px;
  height: 512px;
  overflow: hidden;
  position: relative;
}

.left-green-wrapper {
  width: 100%;
  background-color: #fff6e7;
  border-radius: 20px;
  padding: 30px 138px 30px 40px;
  border-radius: 20px;
  background: var(--Green-100, #def4e2);
  margin-top: 20px;
}

.left-green-wrapper a {
  text-decoration: none;
  color: #03489f;
}

.left-green-wrapper p,
span {
  color: #00243d;
  font-family: "Playfair Display";
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 160%;
}
.left-green-wrapper span {
  color: var(--Blue-300, #03489f);
}

.curriculum-subwrapper .left-wrapper .left-wrapper-title {
  font-family: "PlayFair Display";
  font-size: 20px;
  color: #00243d;
  position: relative;
  z-index: 1;
}

.right-wrapper p {
  font-size: 14px;
}

.right-wrapper-p span {
  color: #03489f;
  font-family: "Open Sans";
  font-size: 14px;
}

.right-wrapper-p a {
  text-decoration: none;
  color: #03489f;
}

.curriculum-subwrapper .right-wrapper {
  width: 52%;
}

.subtract {
  height: 100%;
  position: absolute;
  right: 0;
  z-index: 0;
  bottom: -10px;
  width: auto;
}

/* Table */
.blue-table-wrapper {
  padding-bottom: 80px;
}

.blue-table {
  border-radius: 20px;
  overflow: hidden;
  border: 1px solid #03489f;
  display: flex;
  margin: 20px 0 0 0;
}

.blue-table-subwrapper {
  width: 20%;
  border-right: 1px solid #03489f;
}

.blue-table-subwrapper:last-child {
  border-right: none;
}

.blue-table-title {
  font-size: 18px !important;
  font-weight: 500;
}

.blue-table-th {
  background: #03489f;
  text-align: center;
  color: #fff;
  padding: 14px 0;
  font-size: 16px !important;
}

.blue-table-td-wrapper {
  padding: 20px 22px;
}

.blue-table-td-wrapper p {
  color: #03489f;
  font-size: 16px;
  font-weight: 500;
}

.blue-table-ul {
  margin-left: 20px;
}

.blue-table-ul li {
  font-size: 16px;
  padding-top: 20px;
  font-weight: 500;
}

.blue-table-desc {
  width: 75%;
  padding-bottom: 42px;
}

/* <!-- Green Section --> */
.icse-green-section-wrapper {
  padding: 24px;
  background-color: #def4e2;
  border-radius: 20px;
  margin: 20px 0 0 0;
}

.green-list {
  display: flex;
  align-items: start;
  column-gap: 10px;
  margin-bottom: 16px;
}

.green-list p {
  margin-top: -4px;
}

/* School Timing */
.timing-cards-wrapper {
  padding-bottom: 80px;
}

.timing-cards-wrapper h2 {
  text-align: center;
  color: #00243d;
}

.timing-cards-container {
  display: grid;
  grid-template-columns: repeat(2, 30%);
align-items: center;
justify-content: center;
  column-gap: 32px;
  margin-top: 30px;
}

.timing-card {
  background-color: #e6f0f8;
  border-radius: 20px;
  padding: 26px;
}

.timing-cards-container p:first-child {
  padding-bottom: 20px;
  font-size: 18px;
  font-weight: 500;
}

.timing-subwrapper {
  display: flex;
  column-gap: 12px;
  align-items: center;
  margin-bottom: 16px;
}

.timing-subwrapper:last-child {
  margin-bottom: 0;
}

.timing-cards-wrapper .timing-card-p {
  text-align: center;
  max-width: 529px;
  color: #00243d;
  font-family: "Open Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 160%;
  margin: 20px auto 0;
}

/* Gallery Swiper */
.gallery-swiper {
  background-color: #fee6d9;
  padding: 100px 0;
}

.gallery-swiper-wrapper .swiper-img-wrapper {
  height: 320px;
  border-radius: 20px;
  overflow: hidden;
  cursor: grab;
}

.gallery-swiper-wrapper .swiper-slide p {
  font-size: 18px;
  font-weight: 500;
  text-align: center;
  padding-top: 18px;
}

.gallery-swiper-wrapper .swiper-img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.blue-section-mobile,
.green-right-wrapper-mobile,
.personlaity-bottom-banner-img-mobile,
.left-green-wrapper-mobile {
  display: none;
}

@media screen and (max-width: 1024px) {
  /* Feature Card Section */
  .features-card-wrapper {
    grid-template-columns: repeat(2, 1fr);
  }

  .blue-section-left-image {
    height: 190px;
  }
}
@media screen and (max-width: 950px) {
  /* <!-- Table --> */
  .blue-table {
    flex-direction: column;
  }

  .blue-table-title {
    font-size: 16px !important;
  }

  .blue-table-subwrapper,
  .blue-table-desc {
    width: 100%;
  }
}

@media screen and (max-width: 820px) {
  /*  Video Section  */
  .video-wrapper {
    margin: 60px 0;
  }

  /* <!-- Curriculum Section --> */
  .curriculum-wrapper {
    padding: 60px 0 10px 0;
  }

  .curriculum-subwrapper {
    flex-direction: column;
    gap: 20px;
  }

  .curriculum-subwrapper .left-wrapper,
  .curriculum-subwrapper .right-wrapper {
    width: 100%;
    height: auto;
  }

  /* <!-- Table --> */
  .blue-table {
    flex-direction: column;
  }

  .blue-table-title {
    font-size: 16px !important;
  }

  .blue-table-subwrapper,
  .blue-table-desc {
    width: 100%;
  }

  /* <!-- Feature Card Section --> */
  .feature-card-title {
    width: 100%;
  }

  /* <!-- Green Section --> */
  .green-section-wrapper {
    flex-direction: column-reverse;
    padding: 24px;
  }

  .green-section-wrapper h2 {
    width: 100%;
    padding-top: 20px;
  }

  /* <!-- Curriculum Section --> */
  .left-wrapper-container {
    width: 100%;
  }

  .left-green-wrapper {
    display: none;
  }

  .left-green-wrapper-mobile {
    padding: 30px 40px 30px 40px;
    display: block;
  }

  /* <!-- School Timing --> */
  .timing-cards-wrapper {
    padding-bottom: 60px;
  }

  .timing-card {
    border-radius: 14px;
  }

  /* <!-- Image Gallery Swiper --> */
  .gallery-swiper {
    padding: 50px 0;
  }

  .gallery-swiper-wrapper .swiper-img-wrapper {
    border-radius: 14px;
    height: 260px;
  }
}

@media screen and (max-width: 640px) {
  .ibdp-wrapper h2 {
    font-size: 24px;
  }

  /* <!-- Video Section --> */
  .video-wrapper {
    margin: 40px 0;
  }

  .video-subwrapper {
    flex-direction: column;
  }

  .video-section,
  .video-description-wrapper {
    width: 100%;
  }

  .video-section {
    height: 224px;
    margin-bottom: 20px;
    border-radius: 14px;
  }

  .video-description-wrapper h2 {
    padding-bottom: 12px;
  }

  /* <!-- Feature Card Section --> */
  .features-card-wrapper {
    grid-template-columns: repeat(1, 1fr);
    margin-top: 24px;
    gap: 20px;
  }

  .feature-card {
    padding: 24px;
  }

  /* <!-- Curriculum Section --> */
  .curriculum-subwrapper .left-wrapper .left-wrapper-title {
    font-size: 16px;
  }

  .curriculum-subwrapper {
    margin: 0;
  }

  .curriculum-subwrapper .left-wrapper {
    padding: 24px;
    border-radius: 14px;
  }

  /* <!-- Green Section --> */
  .green-section-wrapper {
    margin-top: 60px;
  }

  .left-green-wrapper-mobile {
    padding: 24px;
  }

  .left-green-wrapper p,
  span {
    font-size: 16px;
  }

  .int-mindedness {
    width: 286px;
    height: 286px;
  }

  /* <!-- Table -->  */
  .blue-table-wrapper {
    padding: 60px 0;
  }

  .blue-table {
    margin: 20px 0 0 0;
  }

  .blue-table-td-wrapper p {
    font-size: 14px;
  }

  .blue-table-ul li {
    font-size: 14px;
    padding-top: 18px;
  }

  .blue-table-td-wrapper {
    padding: 18px;
  }

  /* <!-- Green Section --> */
  .icse-green-section-wrapper {
    margin: 20px 0 0 0;
  }

  /* <!-- School Timing --> */
  .timing-cards-container {
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
  }
  .timing-cards-wrapper .timing-card-p {
    text-align: start;
  }

  /* <!-- Image Gallery Swiper --> */
  .gallery-swiper-wrapper .swiper-slide p {
    font-size: 16px;
  }
}